/*ScianDepend.h
  SciAn dependencies system external defs
  Eric Pepke
  May 24, 1991
*/

#ifdef PROTO
Bool IsDependent(ObjPtr, int, int);
void DeclareDependency(ObjPtr, int, int);
void DeclareIndirectDependency(ObjPtr, int, int, int);
Bool MakeVar(ObjPtr, int);
Bool NeedsMaking(ObjPtr, int);
#else
Bool IsDependent();
void DeclareDependency();
void DeclareIndirectDependency();
Bool MakeVar();
Bool NeedsMaking();
#endif
